MODBUS_RTU_GET_RTS(3)

NAME
modbus_rtu_get_rts - get the current RTS mode in RTU

SYNOPSIS

int modbus_rtu_get_rts(modbus_t *ctx);

DESCRIPTION

The modbus_rtu_get_rts() function shall get the current Request To Send mode of the libmodbus context ctx. The possible returned values are:

    • MODBUS_RTU_RTS_NONE

    • MODBUS_RTU_RTS_UP

    • MODBUS_RTU_RTS_DOWN

This function can only be used with a context using a RTU backend.

RETURN VALUE

The function shall return the current RTS mode if successful. Otherwise it shall return -1 and set errno.

ERRORS

EINVAL
    The libmodbus backend is not RTU.

SEE ALSO

modbus_rtu_set_rts(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com>